public class DbxAppSharingRequests
extends Object
Routes in namespace "sharing".
-
Constructor Summary
Constructors
-
Method Summary
Download the shared link's file from a user's Dropbox.
Download the shared link's file from a user's Dropbox.
Get the shared link's metadata.
Get the shared link's metadata.
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
-
Method Details
-
getSharedLinkFile
Download the shared link's file from a user's Dropbox. This is a
download-style endpoint that returns the file content.
- Parameters:
url - URL of the shared link. Must not be null.
- Returns:
- Downloader used to download the response body and view the server
response.
- Throws:
IllegalArgumentException - If any argument does not meet its
preconditions.
GetSharedLinkFileErrorException
DbxException
-
getSharedLinkFileBuilder
Download the shared link's file from a user's Dropbox. This is a
download-style endpoint that returns the file content.
- Parameters:
url - URL of the shared link. Must not be null.
- Returns:
- Downloader builder for configuring the request parameters and
instantiating a downloader.
- Throws:
IllegalArgumentException - If any argument does not meet its
preconditions.
-
-